summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Alan Dingeldein <kd5zex@gmail.com>2017-07-09 16:52:34 +0100
committer David Spencer <idlemoor@slackbuilds.org>2017-07-12 16:39:17 +0100
commitd18798c9141758ee0b692dd1c13f681ab2a89864 (patch)
tree9cbeb1b5562080c648de49b9ee80fb6f3eb211e9 /network
parent316b8ed0ef5d6ebf39bc4abdc215f5b483f376a2 (diff)
downloadslackbuilds-d18798c9141758ee0b692dd1c13f681ab2a89864.tar.gz
slackbuilds-d18798c9141758ee0b692dd1c13f681ab2a89864.tar.xz
network/hipchat2: Added (old version of HipChat for 32 bit users).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/hipchat2/README4
-rw-r--r--network/hipchat2/doinst.sh9
-rw-r--r--network/hipchat2/hipchat2.SlackBuild79
-rw-r--r--network/hipchat2/hipchat2.info10
-rw-r--r--network/hipchat2/slack-desc19
5 files changed, 121 insertions, 0 deletions
diff --git a/network/hipchat2/README b/network/hipchat2/README
new file mode 100644
index 0000000000..7fbf0e8b62
--- /dev/null
+++ b/network/hipchat2/README
@@ -0,0 +1,4 @@
+Hipchat is a private group messaging service.
+
+This SlackBuild packages an old version of HipChat for 32-bit users.
+64-bit users should use the 'hipchat' SlackBuild instead.
diff --git a/network/hipchat2/doinst.sh b/network/hipchat2/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/hipchat2/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/hipchat2/hipchat2.SlackBuild b/network/hipchat2/hipchat2.SlackBuild
new file mode 100644
index 0000000000..b218763b71
--- /dev/null
+++ b/network/hipchat2/hipchat2.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012, 2013 Eric Hameleers, Eindhoven, Netherlands
+# Slackware build script for hipchat2
+# Written by Lionel Young <lionelyoung@gmail.com>
+# Based on http://slackbuilds.org/template.SlackBuild
+# Maintained by Ryan P.C. McQuen <ryanpcmcquen@member.fsf.org> 2014-2017
+
+# Alan Dingeldein | Canyon Lake, TX | kd5zex@gmail.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=hipchat2
+VERSION=${VERSION:-2.2.1388}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=hipchat
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i686 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+tar xvf $CWD/$SRCNAM-$VERSION-$ARCH.pkg.tar.xz -C $PKG
+chown -R root:root $PKG
+
+# Create missing symlink for cert
+mkdir -p $PKG/etc/ssl/certs
+ln -s DigiCert_High_Assurance_EV_Root_CA.pem $PKG/etc/ssl/certs/81b9768f.0
+
+# Fix permissions on libraries
+find $PKG -name "*\.so*" -type f -exec chmod 0755 {} \;
+
+# Remove some cruft
+rm -f $PKG/.PKGINFO
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/hipchat2/hipchat2.info b/network/hipchat2/hipchat2.info
new file mode 100644
index 0000000000..212d709fef
--- /dev/null
+++ b/network/hipchat2/hipchat2.info
@@ -0,0 +1,10 @@
+PRGNAM="hipchat2"
+VERSION="2.2.1388"
+HOMEPAGE="http://www.hipchat.com/linux"
+DOWNLOAD="http://downloads.hipchat.com/linux/arch/i686/hipchat-2.2.1388-i686.pkg.tar.xz"
+MD5SUM="f7fdc4df78071ecc8900a6f7109facd8"
+DOWNLOAD_x86_64="http://downloads.hipchat.com/linux/arch/x86_64/hipchat-2.2.1388-x86_64.pkg.tar.xz"
+MD5SUM_x86_64="b3c605ed18425ea680903d33a00ed0da"
+REQUIRES=""
+MAINTAINER="Alan Dingeldein"
+EMAIL="kd5zex@gmail.com"
diff --git a/network/hipchat2/slack-desc b/network/hipchat2/slack-desc
new file mode 100644
index 0000000000..7bb368c576
--- /dev/null
+++ b/network/hipchat2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hipchat2: hipchat2 (old version of HipChat for 32 bit users)
+hipchat2:
+hipchat2: HipChat is a private group messaging service.
+hipchat2:
+hipchat2: This SlackBuild packages an old version of HipChat for 32-bit users.
+hipchat2: 64-bit users should use the 'hipchat' SlackBuild instead.
+hipchat2:
+hipchat2: Home: http://www.hipchat.com/linux
+hipchat2:
+hipchat2:
+hipchat2: